<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>Dialog</class>
 <widget class="QDialog" name="Dialog">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>625</width>
    <height>588</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Layer Settings</string>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_2">
   <item>
    <widget class="QRadioButton" name="graphicLayer">
     <property name="text">
      <string>Graphic Layer</string>
     </property>
     <property name="checked">
      <bool>true</bool>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QRadioButton" name="technologicalLayer">
     <property name="text">
      <string>Technological layer</string>
     </property>
    </widget>
   </item>
   <item>
    <widget class="QWidget" name="widget" native="true">
     <property name="enabled">
      <bool>false</bool>
     </property>
     <layout class="QVBoxLayout" name="verticalLayout">
      <item>
       <widget class="QLabel" name="label">
        <property name="text">
         <string>Before patterning</string>
        </property>
       </widget>
      </item>
      <item>
       <widget class="QLabel" name="label_9">
        <property name="enabled">
         <bool>false</bool>
        </property>
        <property name="text">
         <string>Set writefield</string>
        </property>
       </widget>
      </item>
      <item>
       <layout class="QGridLayout" name="gridLayout">
        <item row="0" column="0">
         <widget class="QLabel" name="label_2">
          <property name="text">
           <string>Name</string>
          </property>
          <property name="buddy">
           <cstring>wfName</cstring>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QLineEdit" name="wfName"/>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="label_3">
          <property name="text">
           <string>Size U</string>
          </property>
          <property name="buddy">
           <cstring>wfU</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QDoubleSpinBox" name="wfU">
          <property name="buttonSymbols">
           <enum>QAbstractSpinBox::NoButtons</enum>
          </property>
          <property name="suffix">
           <string> μm</string>
          </property>
          <property name="maximum">
           <double>10000000.000000000000000</double>
          </property>
          <property name="value">
           <double>100.000000000000000</double>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QLabel" name="label_4">
          <property name="text">
           <string>Size V</string>
          </property>
          <property name="buddy">
           <cstring>wfV</cstring>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QDoubleSpinBox" name="wfV">
          <property name="buttonSymbols">
           <enum>QAbstractSpinBox::NoButtons</enum>
          </property>
          <property name="suffix">
           <string> μm</string>
          </property>
          <property name="maximum">
           <double>1000000.000000000000000</double>
          </property>
          <property name="value">
           <double>100.000000000000000</double>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item>
       <widget class="QCheckBox" name="setViCol">
        <property name="text">
         <string>Activate ViCol preset</string>
        </property>
       </widget>
      </item>
      <item>
       <layout class="QGridLayout" name="gridLayout_2">
        <item row="0" column="0">
         <widget class="QLabel" name="label_5">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="text">
           <string>Name</string>
          </property>
          <property name="buddy">
           <cstring>vcName</cstring>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QLineEdit" name="vcName">
          <property name="enabled">
           <bool>false</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="label_8">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="text">
           <string>Layer</string>
          </property>
          <property name="buddy">
           <cstring>vcLayer</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QSpinBox" name="vcLayer">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="buttonSymbols">
           <enum>QAbstractSpinBox::NoButtons</enum>
          </property>
          <property name="maximum">
           <number>1000000000</number>
          </property>
         </widget>
        </item>
       </layout>
      </item>
      <item>
       <widget class="QCheckBox" name="setScript">
        <property name="text">
         <string>Run script</string>
        </property>
       </widget>
      </item>
      <item>
       <layout class="QGridLayout" name="gridLayout_3">
        <item row="0" column="0">
         <widget class="QLabel" name="label_6">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="text">
           <string>File</string>
          </property>
          <property name="buddy">
           <cstring>scFile</cstring>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QLineEdit" name="scFile">
          <property name="enabled">
           <bool>false</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QLabel" name="label_7">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="text">
           <string>Comment</string>
          </property>
          <property name="buddy">
           <cstring>scComment</cstring>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QLineEdit" name="scComment">
          <property name="enabled">
           <bool>false</bool>
          </property>
         </widget>
        </item>
       </layout>
      </item>
     </layout>
    </widget>
   </item>
   <item>
    <spacer name="verticalSpacer">
     <property name="orientation">
      <enum>Qt::Vertical</enum>
     </property>
     <property name="sizeHint" stdset="0">
      <size>
       <width>20</width>
       <height>50</height>
      </size>
     </property>
    </spacer>
   </item>
   <item>
    <widget class="QDialogButtonBox" name="buttonBox">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
     <property name="standardButtons">
      <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
     </property>
    </widget>
   </item>
  </layout>
 </widget>
 <tabstops>
  <tabstop>graphicLayer</tabstop>
  <tabstop>technologicalLayer</tabstop>
  <tabstop>wfName</tabstop>
  <tabstop>wfU</tabstop>
  <tabstop>wfV</tabstop>
  <tabstop>setViCol</tabstop>
  <tabstop>vcName</tabstop>
  <tabstop>vcLayer</tabstop>
  <tabstop>setScript</tabstop>
  <tabstop>scFile</tabstop>
  <tabstop>scComment</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>buttonBox</sender>
   <signal>accepted()</signal>
   <receiver>Dialog</receiver>
   <slot>accept()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>149</x>
     <y>556</y>
    </hint>
    <hint type="destinationlabel">
     <x>157</x>
     <y>274</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>buttonBox</sender>
   <signal>rejected()</signal>
   <receiver>Dialog</receiver>
   <slot>reject()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>158</x>
     <y>556</y>
    </hint>
    <hint type="destinationlabel">
     <x>286</x>
     <y>274</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>technologicalLayer</sender>
   <signal>toggled(bool)</signal>
   <receiver>widget</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>110</x>
     <y>42</y>
    </hint>
    <hint type="destinationlabel">
     <x>146</x>
     <y>128</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setViCol</sender>
   <signal>toggled(bool)</signal>
   <receiver>vcName</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>59</x>
     <y>196</y>
    </hint>
    <hint type="destinationlabel">
     <x>63</x>
     <y>217</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setScript</sender>
   <signal>toggled(bool)</signal>
   <receiver>scFile</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>54</x>
     <y>275</y>
    </hint>
    <hint type="destinationlabel">
     <x>145</x>
     <y>302</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setScript</sender>
   <signal>toggled(bool)</signal>
   <receiver>scComment</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>77</x>
     <y>275</y>
    </hint>
    <hint type="destinationlabel">
     <x>186</x>
     <y>328</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setViCol</sender>
   <signal>toggled(bool)</signal>
   <receiver>label_5</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>181</x>
     <y>191</y>
    </hint>
    <hint type="destinationlabel">
     <x>25</x>
     <y>219</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setScript</sender>
   <signal>toggled(bool)</signal>
   <receiver>label_6</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>130</x>
     <y>275</y>
    </hint>
    <hint type="destinationlabel">
     <x>39</x>
     <y>302</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setScript</sender>
   <signal>toggled(bool)</signal>
   <receiver>label_7</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>184</x>
     <y>275</y>
    </hint>
    <hint type="destinationlabel">
     <x>58</x>
     <y>328</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setViCol</sender>
   <signal>toggled(bool)</signal>
   <receiver>vcLayer</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>319</x>
     <y>189</y>
    </hint>
    <hint type="destinationlabel">
     <x>335</x>
     <y>246</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>setViCol</sender>
   <signal>toggled(bool)</signal>
   <receiver>label_8</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>217</x>
     <y>191</y>
    </hint>
    <hint type="destinationlabel">
     <x>27</x>
     <y>248</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>technologicalLayer</sender>
   <signal>toggled(bool)</signal>
   <receiver>label_9</receiver>
   <slot>setEnabled(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>104</x>
     <y>34</y>
    </hint>
    <hint type="destinationlabel">
     <x>101</x>
     <y>90</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
